Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030877
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2015-09-21 13:542015-11-23 21:16
ReportermaiteView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revisione305b76978c3
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030877: Accounting dimension not enabled when configured in Client | Dimensions tab

DescriptionAccounting dimension not enabled when configured in Client | Dimensions tab
Steps To Reproduce1. Access Client window and configure User 1 dimension to be shown in Lines
2. Access Dimensions tab, create new register and configure "Financial Account Transaction", "User 1" dimension and "shown in header", to enable this dimension also in Transaction tab
3. Logout and login
4. Access Financial Account window, go to Transactions tab in edit mode and realize that "User 1" dimension is not available
TagsNo tags attached.
Attached Filesdiff file icon 30877.diff [^] (1,638 bytes) 2015-10-09 14:04 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0081051)
aferraz (developer)
2015-10-16 10:24

1. Access Client window and configure User 1 dimension to be shown in Lines
2. Access Dimensions tab, create new register and configure "Financial Account Transaction", "User 1" dimension and "shown in header", to enable this dimension also in Transaction tab
3. Logout and login
4. Access Financial Account window, go to Transactions tab in edit mode and realize that "User 1" dimension is available
(0081055)
hgbot (developer)
2015-10-16 12:42

Repository: erp/devel/pi
Changeset: e305b76978c34256d5b981f530f735e8cf3fe798
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Oct 16 10:16:54 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e305b76978c34256d5b981f530f735e8cf3fe798 [^]

Fixes issue 30877: U1 & U2 dimensions wrong defined

User1 and User2 accounting dimensions were wrongly defined when calculating isDisplayed value in DimensionDisplayUtility.

---
M src/org/openbravo/erpCommon/utility/DimensionDisplayUtility.java
---
(0081056)
aferraz (developer)
2015-10-16 12:43

Fix done by vmromanos
Code review + Testing OK done by aferraz
(0082129)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-09-21 13:54 maite New Issue
2015-09-21 13:54 maite Assigned To => Triage Finance
2015-09-21 13:54 maite Modules => Core
2015-09-21 13:54 maite Triggers an Emergency Pack => No
2015-09-21 13:54 maite Issue Monitored: networkb
2015-09-28 11:16 vmromanos Target Version 3.0PR15Q4 => 3.0PR16Q1
2015-10-09 05:09 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-10-09 14:04 vmromanos File Added: 30877.diff
2015-10-16 10:24 aferraz Note Added: 0081051
2015-10-16 10:24 aferraz Assigned To AtulOpenbravo => vmromanos
2015-10-16 10:27 aferraz Status new => scheduled
2015-10-16 12:42 hgbot Checkin
2015-10-16 12:42 hgbot Note Added: 0081055
2015-10-16 12:42 hgbot Status scheduled => resolved
2015-10-16 12:42 hgbot Resolution open => fixed
2015-10-16 12:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e305b76978c34256d5b981f530f735e8cf3fe798 [^]
2015-10-16 12:43 aferraz Review Assigned To => aferraz
2015-10-16 12:43 aferraz Note Added: 0081056
2015-10-16 12:43 aferraz Status resolved => closed
2015-10-16 12:43 aferraz Fixed in Version => 3.0PR16Q1
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082129


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker